Gecode::Int::Element Namespace Reference

Element propagators More...

## Classes

class | Int
| Element propagator for array of integers More...
class | View
| Base-class for element propagator for array of views. More...
class | ViewBnd
| Bounds consistent element propagator for array of views. More...
class | ViewDom
| Domain consistent element propagator for array of views. More...
class | Pair
| Domain consistent pair propagator. More...
class | PairValues
| Value iterator for pair of iterators. More...
class | RelTestBnd
| Class for bounds-equality test. More...
class | RelTestBnd< VA, ConstIntView >
| Class for bounds-equality test (specialized). More...
class | RelTestDom
| Class for domain-equality test. More...
class | RelTestDom< VA, ConstIntView >
| Class for domain-equality test (specialized). More...
class | IterIdxView
| Value iterator for indices in index-view map. More...

## Functions

template<class V0, class V1>
ExecStatus | post_int (Home home, IntSharedArray &c, V0 x0, V1 x1)
| Post propagator with apropriate index and value types.
template<class VA, class VB, class VC, PropCond pc_ac, class RelTest>
ExecStatus | scan (Space &home, IdxViewArray< VA > &iv, VB x0, VC x1, Propagator &p, RelTest rt)

## Detailed Description

Element propagators

## Function Documentation

## post_int()

template<class V0, class V1>

ExecStatus Gecode::Int::Element::post_int | ( | Home | home,
|  | IntSharedArray & | c,
|  | V0 | x0,
|  | V1 | x1 )

inline

Post propagator with apropriate index and value types.

Definition at line 405 of file int.hpp.

## scan()

template<class VA, class VB, class VC, PropCond pc_ac, class RelTest>

ExecStatus Gecode::Int::Element::scan | ( | Space & | home,
|  | IdxViewArray< VA > & | iv,
|  | VB | x0,
|  | VC | x1,
|  | Propagator & | p,
|  | RelTest | rt )

Definition at line 217 of file view.hpp.